Subject: bug#15413: closed (Re: bug#15413: 24.3.50; Emacs gets hung by find-file for //<TAB>)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 20 Sep 2013 06:18:02 +0000

Your bug report

#15413: 24.3.50; Emacs gets hung by find-file for //<TAB>

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15413: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15413
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15413: 24.3.50; Emacs gets hung by find-file for //<TAB>
From: Katsumi Yamaoka <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Fri, 20 Sep 2013 15:17:23 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii wrote:
>> Date: Thu, 19 Sep 2013 08:51:41 +0900
>> From: Katsumi Yamaoka <[email-masked]>
>>
>> When performing find-file, Emacs gets hung if I mistyped as:
>>
>> Find file: // and <TAB>
>>
>> As it might be because C-g doesn't break an inf-loop on Cygwin
>> Emacs (bug#14553), there seems to be no way to get out of it
>> except for killing the Emacs process.  For a wonder, Emacs does
>> not eat CPU so much at that time.

> My guess is it doesn't hang, it tries to access the network, since //
> is the beginning of a UNC file name.  Try waiting longer.

I left it for hours but it didn't seem to return.  Oh, I see.
It must be trying to complete a UNC file name.  In xterm that
runs tcsh, `cd //<C-d>' doesn't return, too.  Therefore, this
should not be an Emacs bug.  I'm closing this thread.  Thanks.

Subject: 24.3.50; Emacs gets hung by find-file for //<TAB>
From: Katsumi Yamaoka <[email-masked]>
To: [email-masked]
Date: Thu, 19 Sep 2013 08:51:41 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

When performing find-file, Emacs gets hung if I mistyped as:

Find file: // and <TAB>

As it might be because C-g doesn't break an inf-loop on Cygwin
Emacs (bug#14553), there seems to be no way to get out of it
except for killing the Emacs process.  For a wonder, Emacs does
not eat CPU so much at that time.

In GNU Emacs 24.3.50.1 (i686-pc-cygwin, GTK+ Version 3.8.2)
 of 2013-09-19 on localhost
Bzr revision: 114379 [email-masked]
Windowing system distributor `The Cygwin/X Project', version 11.0.11403000
Configured using:
 `configure --verbose --with-x-toolkit=gtk3
 --without-dbus --without-gconf --without-gsettings'